View Issue Details

IDProjectCategoryView StatusLast Update
0003351Composrinstallerpublic2020-03-26 22:24
ReporterChris GrahamAssigned ToChris Graham 
Severityfeature 
Status resolvedResolutionfixed 
Product Version 
Fixed in Version 
Summary0003351: Installer and Setup Wizard simplification
DescriptionInstaller:

1) Simplify forum driver choice. The complex UI is not needed given we don't even recommend changing the default. Make it into a simple list box, marked Advanced.

2) Remove 'domain' option, it's excessive

3) Remove "I do not mind being listed on compo.sr as a featured user". We'll be having people manually submit their featureship in the future anyway

4) After installation, create a session so the admin is automatically logged in

5) Change links at end of installer to a radio button set ("Continue to Setup Wizard" [default] vs "See blank default website" vs "See website with default content"). This way it is pressing next buttons right through, more continuous

6) "The final step is to delete this file (install.php) from your server" - this text is not needed, if we auto-delete after final next clicked AND have suexec permissions

7) "It is also a good idea to change _config.php" - this text is not needed for suexec servers

8) Ask for an e-mail address. Default to the e-mail option from the value typed in the newsletter box. Use it to set the staff address, website address, and address of any admin account without one.

9) Move the newsletter signup forward ahead of the license screen, to same as forum and DB selection screen

10) No language selection screen if only 1 language (as will normally be the case)

Setup Wizard:

1) "Be advised that if you have already " - this text is not needed for a fresh site, we can only show if Setup Wizard already run once

2) Auto-detect site name from domain name

3) Make "Site scope" default to literally "the topic of this site", and remove from Setup Wizard. Make sure "the topic of this site" would fit in in all the default spots

4) Remove Copyright from Setup Wizard, and use a coding scheme to represent site name so that it auto-updates from site name immediately

5) Where we talk about "40+" emoticons we can give an exact figure, calculated in code.

6) Remove the following, which are a bit excessive for inclusion in the wizard:
a) Fixed Width
b) Header text
c) "Show content tags" and "Show content tags (inline)"

7) Move some stuff under an "Advanced" header [this is for stuff that installation profiles may modify, but typically user's will not want to modify by hand]
a) "Keep personal galleries"
b) "Keep member blogs"

8) Categorise all the listed addons, in the same way non-bundled addons are categorised on compo.sr

9) Remove "Powered by Composr" logo from Setup Wizard, and instead just tack a note onto the end of the default copyright option.

10) Before block selection ask if we want full block selection, content tiles (see 0003354), or the home page page template (create a simple page template people can edit, not block based).
TagsGood for training, Roadmap: v11, Type: Usability (major)
Attach Tags
Time estimation (hours)8
Sponsorship open

Relationships

related to 0003352 resolvedChris Graham Change "Stats retention time" option 
related to 0003350 resolvedChris Graham Pre-defined content system 
related to 0003354 assignedChris Graham Tile-based activity feed 
related to 0003244 resolvedChris Graham Check admin profile has an email address before allowing email only login 
child of 0003362 assignedChris Graham Themeing improvements in v11 (idea staging issue) 

Activities

Chris Graham

2020-03-26 22:24

administrator   ~0006486

This is now mostly done.

Changes from issue description:

"Simplify forum driver choice. The complex UI is not needed given we don't even recommend changing the default. Make it into a simple list box, marked Advanced."
Skipped. I think what we have now is fine. I don't want to put in the time for a big redesign that just trades off a marginal simplicity improvement for a less clear UI for forum drivers.

"Remove "I do not mind being listed on compo.sr as a featured user". We'll be having people manually submit their featureship in the future anyway"
Skipped. I don't know why I wrote this, it seems still to be useful, at least potentially, and no real burden.

"Move the newsletter signup forward ahead of the license screen, to same as forum and DB selection screen"
Skipped. Seemed unnecessary.

"No language selection screen if only 1 language (as will normally be the case)"
Was already done.

"Make "Site scope" default to literally "the topic of this site", and remove from Setup Wizard. Make sure "the topic of this site" would fit in in all the default spots"
Skipped. This won't work, the short specific word form is used in the Podcast feed.

"Remove the following, which are a bit excessive for inclusion in the wizard:
...
c) "Show content tags" and "Show content tags (inline)""
Skipped. I think these options are still useful.

"Move some stuff under an "Advanced" header [this is for stuff that installation profiles may modify, but typically user's will not want to modify by hand]
a) "Keep personal galleries"
b) "Keep member blogs""
Skipped. I think these options are still useful.

"Before block selection ask if we want full block selection, content tiles (see 0003354), or the home page page template (create a simple page template people can edit, not block based)."
Altered. This doesn't seem relevant now, we are putting a big focus on content tiles and the default block selections (and those listed) have already been refined to facilitate this. It's cleaner than it was before. If people want plain text they can get that easily enough.

Issue History

Date Modified Username Field Change
2017-11-05 19:43 Chris Graham New Issue
2017-11-05 19:43 Chris Graham Tag Attached: Type: Usability (major)
2017-11-05 19:46 Chris Graham Description Updated View Revisions
2017-11-05 19:48 Chris Graham Description Updated View Revisions
2017-11-05 19:51 Chris Graham Relationship added related to 0003352
2017-11-05 19:51 Chris Graham Relationship added related to 0003350
2017-11-05 20:25 Chris Graham Relationship added related to 0003354
2017-11-05 20:43 Chris Graham Description Updated View Revisions
2017-11-05 20:46 Chris Graham Description Updated View Revisions
2017-11-05 20:49 Chris Graham Description Updated View Revisions
2017-11-19 21:46 Chris Graham Description Updated View Revisions
2017-11-20 00:21 Chris Graham Relationship added child of 0003362
2017-11-25 23:22 Chris Graham Description Updated View Revisions
2017-11-25 23:37 Chris Graham Tag Attached: Can implement during live chat
2017-11-26 00:54 Chris Graham Description Updated View Revisions
2018-02-07 20:06 Chris Graham Relationship added related to 0003244
2019-06-27 19:09 Chris Graham Tag Attached: Roadmap: v11
2019-06-27 19:42 Chris Graham Tag Renamed Can implement during live chat => Good for training
2020-03-07 21:20 Chris Graham Assigned To => Chris Graham
2020-03-07 21:20 Chris Graham Status non-assigned => assigned
2020-03-26 22:24 Chris Graham Status assigned => resolved
2020-03-26 22:24 Chris Graham Resolution open => fixed
2020-03-26 22:24 Chris Graham Note Added: 0006486